## nx-libs 3.5.99.17

=== Makefile ===
#!/usr/bin/make -f

NULL =

# helpers for "install" target
INSTALL_DIR=install -d -m 755
INSTALL_FILE=install -m 644
INSTALL_PROGRAM=install -m 755
INSTALL_SYMLINK=ln -s -f

# helpers for "build" target
SYMLINK_FILE=ln -f -s

# helpers for "clean" and "uninstall" targets
RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty
RM_DIR_REC=rm -Rf

ETCDIR_NX       ?= /etc/nxagent
PREFIX          ?= /usr/local
BINDIR          ?= $(PREFIX)/bin
LIBDIR          ?= $(PREFIX)/lib
SHLIBDIR        ?= $(LIBDIR)
NXLIBDIR        ?= $(SHLIBDIR)/nx
USRLIBDIR       ?= $(NXLIBDIR)/X11
INCLUDEDIR      ?= $(PREFIX)/include
CONFIGURE       ?= ./configure --prefix="$(PREFIX)"

# check if the xkbcomp devel pkg is available - we need it for the next step
ifneq ($(shell pkg-config --exists xkbcomp && echo yes), yes)
    $(warning xkbcomp devel package missing, using imake default values)
endif

IMAKE_DEFINES	?=

SHELL:=/bin/bash

NX_X11_HEADERS =		\
	Xlib.h			\
	Xresource.h		\
	Xutil.h			\
	cursorfont.h		\
	Xlibint.h		\
	Xcms.h			\
	Xlocale.h		\
	XKBlib.h		\
	XlibConf.h		\
	Xregion.h		\
	ImUtil.h		\
	$(NULL)

NX_XTRANS_HEADERS =		\
	transport.c		\
	Xtrans.c		\
	Xtrans.h		\
	Xtransint.h		\
	Xtranslcl.c		\
	Xtranssock.c		\
	Xtransutil.c		\
	$(NULL)

all: build

clean: version imakeconfig
	test -f nxcomp/Makefile     && ${MAKE} -C nxcomp clean         || true
	test -f nxproxy/Makefile    && ${MAKE} -C nxproxy clean        || true
	test -f nx-X11/lib/Makefile && ${MAKE} -C nx-X11/lib clean     || true
	test -f nxcompshad/Makefile && ${MAKE} -C nxcompshad clean     || true
	test -d nx-X11              && ${MAKE} clean-env               || true

distclean: clean version imakeconfig
	test -f nxcomp/Makefile     && ${MAKE} -C nxcomp distclean     || true
	test -f nxproxy/Makefile    && ${MAKE} -C nxproxy distclean    || true
	test -f nx-X11/lib/Makefile && ${MAKE} -C nx-X11/lib distclean || true
	test -f nxcompshad/Makefile && ${MAKE} -C nxcompshad distclean || true
	test -d nx-X11              && ${MAKE} -C nx-X11 distclean     || true
	test -x ./mesa-quilt        && ./mesa-quilt pop -a
	$(RM_DIR_REC) nx-X11/extras/Mesa/.pc/
	$(RM_FILE) nx-X11/config/cf/nxversion.def
	$(RM_FILE) nx-X11/config/cf/nxconfig.def

test:
	echo "No testing for NX (redistributed)"

version:
	# prepare nx-X11/config/cf/nxversion.def
	sed \
	    -e 's/###NX_VERSION_MAJOR###/$(shell ./version.sh 1)/' \
	    -e 's/###NX_VERSION_MINOR###/$(shell ./version.sh 2)/' \
	    -e 's/###NX_VERSION_MICRO###/$(shell ./version.sh 3)/' \
	    -e 's/###NX_VERSION_PATCH###/$(shell ./version.sh 4)/' \
	    nx-X11/config/cf/nxversion.def.in \
	    > nx-X11/config/cf/nxversion.def

imakeconfig:
	# auto-config some setting

	# check if system supports Xfont2
	(echo "#define HasXfont2 `pkg-config --exists xfont2 && echo YES || echo NO`") >nx-X11/config/cf/nxconfig.def

	# check if system has an _old_ release of Xfont1
	(echo "#define HasLegacyXfont1 `pkg-config --exists 'xfont < 1.4.2' && echo YES || echo NO`") >>nx-X11/config/cf/nxconfig.def

	# check if system has an _old_ release of XextProto
	(echo "#define HasLegacyXextProto `pkg-config --exists 'xextproto < 7.1.0' && echo YES || echo NO`") >>nx-X11/config/cf/nxconfig.def

	# the system's directory with the xkb data and binary files (these
	# needs to be independent of Imake's ProjectRoot or the configure
	# prefix.)
	(pkg-config --exists xkbcomp && echo "#define SystemXkbConfigDir `pkg-config xkbcomp --variable=xkbconfigdir`"; :) >>nx-X11/config/cf/nxconfig.def
	(pkg-config --exists xkbcomp && echo "#define SystemXkbBinDir `pkg-config xkbcomp --variable=prefix`/bin"; :) >>nx-X11/config/cf/nxconfig.def

	# let's create the nx-X11 Makefiles now, once everything has been defined
	$(MAKE) -j1 -C nx-X11 Makefiles IMAKE_DEFINES="$(IMAKE_DEFINES)"

build-env: version imakeconfig
	# prepare Makefiles and the nx-X11 symlinking magic
	${MAKE} -j1 -C nx-X11 BuildIncludes IMAKE_DEFINES="$(IMAKE_DEFINES)"

	# set up environment for libNX_X11 build (X11 header files)
	mkdir -p nx-X11/exports/include/nx-X11/
	for header in $(NX_X11_HEADERS); do \
	    ${SYMLINK_FILE} ../../../lib/include/X11/$${header} nx-X11/exports/include/nx-X11/$${header}; \
	done

	# set up environment for libNX_X11 build (Xtrans header/include files)
	mkdir -p nx-X11/exports/include/nx-X11/Xtrans/
	for header in $(NX_XTRANS_HEADERS); do \
	    ${SYMLINK_FILE} ../../../../lib/include/xtrans/$${header} nx-X11/exports/include/nx-X11/Xtrans/$${header}; \
	done

clean-env: version
	for header in $(NX_X11_HEADERS); do \
	    ${RM_FILE} nx-X11/exports/include/nx-X11/$${header}; \
	done
	for header in $(NX_XTRANS_HEADERS); do \
	    ${RM_FILE} nx-X11/exports/include/nx-X11/Xtrans/$${header}; \
	done

	[ -d exports/include/nx-X11/Xtrans ] && $(RM_DIR) exports/include/nx-X11/Xtrans/ || :
	[ -d exports/include/nx-X11/ ]       && $(RM_DIR) exports/include/nx-X11/        || :

	${MAKE} -j1 -C nx-X11 clean IMAKE_DEFINES="$(IMAKE_DEFINES)"

build-lite:
	cd nxcomp  && autoreconf -vfsi && (${CONFIGURE}) && ${MAKE}
	cd nxproxy && autoreconf -vfsi && (${CONFIGURE}) && ${MAKE}

build-full: build-env
# in the full case, we rely on "magic" in the nx-X11 imake-based makefiles...

	# build nxcomp first
	cd nxcomp && autoreconf -vfsi && (${CONFIGURE}) && ${MAKE}

	# build libNX_X11 second
	cd nx-X11/lib && autoreconf -vfsi && (${CONFIGURE} --disable-poll) && ${MAKE}
	mkdir -p nx-X11/exports/lib/
	$(SYMLINK_FILE) ../../lib/src/.libs/libNX_X11.so nx-X11/exports/lib/libNX_X11.so
	$(SYMLINK_FILE) ../../lib/src/.libs/libNX_X11.so.6 nx-X11/exports/lib/libNX_X11.so.6
	$(SYMLINK_FILE) ../../lib/src/.libs/libNX_X11.so.6.3.0 nx-X11/exports/lib/libNX_X11.so.6.3.0

	# build nxcompshad third
	cd nxcompshad && autoreconf -vfsi && (${CONFIGURE}) && ${MAKE}

	# build nxagent fourth
	./mesa-quilt push -a
	${MAKE} -j1 -C nx-X11 BuildDependsOnly IMAKE_DEFINES="$(IMAKE_DEFINES)"
	${MAKE} -C nx-X11 World USRLIBDIR="$(USRLIBDIR)" SHLIBDIR="$(SHLIBDIR)" IMAKE_DEFINES="$(IMAKE_DEFINES)"

	# build nxproxy fifth
	cd nxproxy && autoreconf -vfsi && (${CONFIGURE}) && ${MAKE}

build:
	if ! test -d nx-X11; then \
	    ${MAKE} build-lite; \
	else \
	    ${MAKE} build-full; \
	fi

install:
	$(MAKE) install-lite
	[ ! -d nx-X11 ] || $(MAKE) install-full

install-lite:
	# install nxcomp library
	$(MAKE) -C nxcomp install

	# install the nxproxy executable and its man page
	$(MAKE) -C nxproxy install

install-full:
	$(MAKE) -C nxcompshad install

	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)/
	$(INSTALL_PROGRAM) nx-X11/programs/Xserver/nxagent-relink $(DESTDIR)$(BINDIR)/nxagent

	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/share/pixmaps
	$(INSTALL_FILE) nx-X11/programs/Xserver/hw/nxagent/nxagent.xpm $(DESTDIR)$(PREFIX)/share/pixmaps

	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/share/nx
	$(INSTALL_FILE) nx-X11/programs/Xserver/Xext/SecurityPolicy $(DESTDIR)$(PREFIX)/share/nx

	# FIXME: Drop this symlink for 3.6.0. Requires that third party frameworks like X2Go have become aware of this...
	$(INSTALL_DIR) $(DESTDIR)$(NXLIBDIR)/bin
	$(INSTALL_SYMLINK) $(BINDIR)/nxagent $(DESTDIR)$(NXLIBDIR)/bin/nxagent

	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/share/man/man1/
	$(INSTALL_FILE) nx-X11/programs/Xserver/hw/nxagent/man/nxagent.1 $(DESTDIR)$(PREFIX)/share/man/man1/
	gzip $(DESTDIR)$(PREFIX)/share/man/man1/*.1

	# create a clean nx-X11/.build-exports space
	$(RM_DIR_REC) nx-X11/.build-exports
	mkdir -p nx-X11/.build-exports/include
	mkdir -p nx-X11/.build-exports/lib

	# copy headers (for libnx-x11-dev)
	cp -aL nx-X11/exports/include/* nx-X11/.build-exports/include

	# copy libs (for libnx-x11), we want the targets of the links
	. replace.sh; set -x; find nx-X11/exports/lib/ -name "libNX*.so" | while read libpath; do \
	    libfile=$$(basename $$libpath); \
	    libdir=$$(dirname $$libpath); \
	    link=$$(readlink $$libpath); \
	\
	    mkdir -p "$$(string_rep "$$libdir" exports .build-exports)"; \
	    cp -a "$$(string_rep "$$libpath" "$$libfile" "$$link")" "$$(string_rep "$$libdir" exports .build-exports)"; \
	done;

	$(INSTALL_DIR) $(DESTDIR)$(SHLIBDIR)
	$(INSTALL_DIR) $(DESTDIR)$(USRLIBDIR)
	$(INSTALL_SYMLINK) ../../libNX_X11.so.6 $(DESTDIR)$(USRLIBDIR)/libX11.so.6
	$(INSTALL_SYMLINK) ../../libNX_X11.so.6.3.0 $(DESTDIR)$(USRLIBDIR)/libX11.so.6.3.0

	. replace.sh; set -x; find nx-X11/.build-exports/include/{nx*,GL} -type d | \
	    while read dirname; do \
	        $(INSTALL_DIR) "$$(string_rep "$$dirname" nx-X11/.build-exports/include "$(DESTDIR)$(INCLUDEDIR)/")"; \
	        $(INSTALL_FILE) $${dirname}/*.h \
	                        "$$(string_rep "$$dirname" nx-X11/.build-exports/include "$(DESTDIR)$(INCLUDEDIR)/")"/ || true; \
	    done; \

	$(INSTALL_DIR) $(DESTDIR)/$(ETCDIR_NX)
	$(INSTALL_FILE) etc/keystrokes.cfg $(DESTDIR)/$(ETCDIR_NX)/

	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/share/nx
	$(INSTALL_FILE) VERSION $(DESTDIR)$(PREFIX)/share/nx/VERSION.nxagent
	$(INSTALL_FILE) VERSION $(DESTDIR)$(PREFIX)/share/nx/VERSION.nxproxy

	$(MAKE) -C nx-X11/lib install

uninstall:
	$(MAKE) uninstall-lite
	[ ! -d nx-X11 ] || $(MAKE) uninstall-full

uninstall-lite:
	test -f nxcomp/Makefile  && ${MAKE} -C nxcomp "$@"
	test -f nxproxy/Makefile && ${MAKE} -C nxproxy "$@"

	$(RM_FILE) $(DESTDIR)$(PREFIX)/share/nx/VERSION.nxproxy
	$(RM_DIR) $(DESTDIR)$(PREFIX)/share/nx/

uninstall-full:
	test -f nxcompshad/Makefile && ${MAKE} -C nxcompshad "$@"
	test -f nx-X11/lib/Makefile && ${MAKE} -C nx-X11/lib "$@"

	$(RM_FILE) $(DESTDIR)$(BINDIR)/nxagent

	$(RM_FILE) $(DESTDIR)$(PREFIX)/share/nx/VERSION.nxagent
	$(RM_DIR) $(DESTDIR)$(PREFIX)/share/nx/

	$(RM_DIR_REC) $(DESTDIR)$(NXLIBDIR)
	$(RM_DIR_REC) $(DESTDIR)$(INCLUDEDIR)/nx

=== debian/changelog ===
nx-libs (2:3.5.99.17-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 12 Jan 2019 20:18:03 +0100

nx-libs (2:3.5.99.17-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001-Makefile-Don-t-do-a-parallel-clean-up-of-nx-X11.-We-.patch,
           0002-Makefile-targets-Rewriting-and-consolidating-the-tar.patch,
           0006-Makefile-Enforce-j1-for-BuildDependsOnly-target.patch,
           0007_MIN-vs-min.patch. All shipped upstream.
  * debian/control:
    + Bump Standards-Version: to 4.2.1. No changes needed.
    + Add to B-D: libxkbfile-dev. Required by xkbcomp.pc (pkg-config).
    + Add to B-D: x11-xkb-utils. Support automatic xkb dir detections.
  * debian/nxagent.*:
    + Drop conffile /etc/nxagent/nxagent.keyboard. Not shipped upstream
      anymore (+ dpkg-maintscript-helper conffile removals in post/pre scripts).
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/copyright:
    + Update autogenerated copyright.in file.
    + Update copyright attributions.
  * debian/libnx-x11-6.symbols:
    + Add *Build-Depends-Package: meta info field.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 22 Nov 2018 11:47:40 +0100

nx-libs (2:3.5.99.16-4) unstable; urgency=medium

  * debian/patches:
    + Add 0007_MIN-vs-min.patch. Should fix FTBFS on hurd and kFreeBSD.
  * debian/control:
    + Bump Standards-Version: to 4.2.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Aug 2018 18:54:04 +0200

nx-libs (2:3.5.99.16-3) unstable; urgency=medium

  * debian/patches:
    + Rebase 2001_nx-X11_install-location.debian.patch.
    + Cherry-pick from upstream:
      0002-Makefile-targets-Rewriting-and-consolidating-the-tar.patch.
    + Cherry-pick 0006-Makefile-Enforce-j1-for-BuildDependsOnly-target.patch
      from upstream.
  * debian/rules:
    + Makefile (et al.) removal in nx-X11/ has now been moved to the distclean
      target. Drop that part from override_dh_clean.
    + Remove date.def during override_dh_clean.
    + Run dh_auto_clean with --no-parallel.
    + Avoid parallel build until Xserver build flow has been ported to
      autotools. (Closes: #895540).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Apr 2018 21:06:49 +0200

nx-libs (2:3.5.99.16-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001-Makefile-Don-t-do-a-parallel-clean-up-of-nx-X11.-We-.patch.
      Avoid FTBFS during parallel clean target in nx-X11/ subfolder. (Closes: #895540).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 20 Apr 2018 11:13:59 +0200

=== debian/control ===
Source: nx-libs
Section: x11
Priority: optional
Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Mihai Moldovan <ionic@ionic.de>,
 Debian Remote Maintainers <pkg-remote-team@lists.alioth.debian.org>
Build-Depends:
 autoconf,
 automake,
 debhelper (>= 11~),
 dpkg-dev (>= 1.16.1.1),
 expat,
 libjpeg-dev,
 libpixman-1-dev (>= 0.13.2),
 libpng-dev,
 libtool,
 libxcomposite-dev,
 libxdamage-dev,
 libxdmcp-dev,
 libxext-dev,
 libxfixes-dev,
 libxfont-dev (>= 1.4.2),
# libxkbfile-dev is required by xkbcomp.pc, see Debian bug #913359
 libxkbfile-dev,
 libxinerama-dev,
 libxml2-dev,
 libxpm-dev,
 libxrandr-dev,
 libxrender-dev,
 libxtst-dev,
 pkg-config,
 quilt (>= 0.46-7~),
 x11-xkb-utils,
 x11proto-core-dev,
 xutils-dev,
 zlib1g-dev
Standards-Version: 4.2.1
Homepage: https://github.com/ArcticaProject/nx-libs/
Vcs-Browser: https://salsa.debian.org/debian-remote-team/nx-libs
Vcs-Git: https://salsa.debian.org/debian-remote-team/nx-libs.git

Package: nx-x11-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks:
 libnx-x11 (<< 2:3.5.0.29-1~),
 nxagent (<< 2:3.5.0.29-1~),
 nxlibs (<= 3.5.1)
Description: nx-X11 (common files)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides all runtime architecture-independent files for
 nx-X11 Xserver (aka nxagent).

Package: nx-x11proto-core-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Breaks: libnx-x11-dev (<< 2:3.5.0.29-1~), nxlibs (<= 3.5.1)
Description: nx-X11 core wire protocol and auxiliary headers
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the core nx-X11 protocol, and also provides a number of utility headers,
 used to abstract OS-specific functions.

Package: libnx-x11-6
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 libx11-data,
 libxcomp3 (= ${binary:Version}),
 nx-x11-common (<< ${source:Version}.1),
 nx-x11-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libnx-x11 (<< 2:3.5.0.29-1~),
 libnx-xau6 (<< 2:3.6.0.0),
 libnx-xcomposite1 (<< 2:3.6.0.0),
 libnx-xdamage1 (<< 2:3.6.0.0),
 libnx-xdmcp6 (<< 2:3.6.0.0),
 libnx-xext6 (<< 2:3.6.0.0),
 libnx-xfixes3 (<< 2:3.6.0.0),
 libnx-xinerama1 (<< 2:3.6.0.0),
 libnx-xpm4 (<< 2:3.6.0.0),
 libnx-xrandr2 (<< 2:3.6.0.0),
 libnx-xrender1 (<< 2:3.6.0.0),
 libnx-xtst6 (<< 2:3.6.0.0),
 nxlibs (<= 3.5.1)
Replaces:
 libnx-xau6,
 libnx-xcomposite1,
 libnx-xdamage1,
 libnx-xdmcp6,
 libnx-xext6,
 libnx-xfixes3,
 libnx-xinerama1,
 libnx-xpm4,
 libnx-xrandr2,
 libnx-xrender1,
 libnx-xtst6,
 nxlibs
Description: nxagent's libNX_X11 client-part library
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides the libNX_X11 library (a libX11 drop-in
 replacement used by nxagent).

Package: libnx-x11-dev
Provides: libnx-x11-6-dev
Section: libdevel
Architecture: any
Breaks:
 libnx-xau-dev (<< 2:3.6.0.0),
 libnx-xcomposite-dev (<< 2:3.6.0.0),
 libnx-xdamage-dev (<< 2:3.6.0.0),
 libnx-xdmcp-dev (<< 2:3.6.0.0),
 libnx-xext-dev (<< 2:3.6.0.0),
 libnx-xfixes-dev (<< 2:3.6.0.0),
 libnx-xinerama-dev (<< 2:3.6.0.0),
 libnx-xpm-dev (<< 2:3.6.0.0),
 libnx-xrandr-dev (<< 2:3.6.0.0),
 libnx-xrender-dev (<< 2:3.6.0.0),
 libnx-xtst-dev (<< 2:3.6.0.0),
 nxlibs-dev (<=3.5.1)
Replaces:
 libnx-xau-dev,
 libnx-xcomposite-dev,
 libnx-xdamage-dev,
 libnx-xdmcp-dev,
 libnx-xext-dev,
 libnx-xfixes-dev,
 libnx-xinerama-dev,
 libnx-xpm-dev,
 libnx-xrandr-dev,
 libnx-xrender-dev,
 libnx-xtst-dev,
 nxlibs-dev
Depends: libnx-x11-6 (= ${binary:Version}), ${misc:Depends}
Description: nxagent's libNX_X11 client-part library (development headers)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers of the libNX_X11 library (a
 libX11 drop-in replacement used by nxagent).

Package: nx-x11proto-xext-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Breaks:
 libnx-x11-dev (<< 2:3.5.0.29-1~),
 libnx-xext-dev (<< 2:3.5.99.0~),
 nxlibs (<= 3.5.1)
Description: nx-X11 miscellaneous extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for various extensions, the client-side libraries of which are provided
 in the Xext library.

Package: nx-x11proto-composite-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Breaks: libnx-x11-dev (<< 2:3.5.0.29-1~), nxlibs (<= 3.5.1)
Description: nx-X11 Composite extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the Composite extension in nx-X11, used to let arbitrary client
 programs control drawing of the final image.

Package: nx-x11proto-damage-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: nx-X11 Damage extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the Damage extension, used to notify clients of changes made to
 particular areas.

Package: nx-x11proto-xfixes-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Breaks: libnx-x11-dev (<< 2:3.5.0.29-1~), nxlibs (<= 3.5.1)
Description: nx-X11 'xfixes' extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the XFIXES extension.

Package: nx-x11proto-xinerama-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: nx-X11 Xinerama extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the XINERAMA extension, used to use and manage a multiple-screen
 display.

Package: nx-x11proto-randr-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: nx-X11 RandR extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the RandR extension, used to change display properties such as
 resolution, rotation, reflection, et al, on the fly.

Package: nx-x11proto-render-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: nx-X11 Render extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol for
 the Render extension, used to implement Porter-Duff operations within X.

Package: nx-x11proto-scrnsaver-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Breaks: libnx-x11-dev (<< 2:3.5.0.29-1~), nxlibs (<= 3.5.1)
Description: nx-X11 Screen Saver extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the MIT-SCREEN-SAVER extension, used to notify the server of client
 screen saver events.

Package: nxagent
Architecture: any
Multi-Arch: foreign
Depends:
 libnx-x11-6 (= ${binary:Version}),
 libxcomp3 (= ${binary:Version}),
 libxcompshad3 (= ${binary:Version}),
 x11-xkb-utils,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: xfonts-base, xkb-data
Breaks: libxcompext3 (<< 2:3.5.99.3~), nxauth
Replaces: libxcompext3, nxauth
Description: Nested Xserver (aka NX Agent) supporting the NX compression protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 nxagent is a nested Xserver providing NX transport of X sessions. The
 application is based on the well known Xnest "nested" server. nxagent,
 like Xnest, is an X server for its own clients, and at the same time, an
 X client for a system's local X server.
 .
 The main scope of nxagent is to eliminate X round-trips or transform
 them into asynchronous replies. nxagent works together with nxproxy.
 nxproxy itself does not make any effort to minimize round-trips
 by itself, this is demanded of nxagent.
 .
 Being an X server, nxagent is able to resolve all the property/atoms related
 requests locally, ensuring that the most common source of round-trips are
 nearly reduced to zero.

Package: nxproxy
Architecture: any
Multi-Arch: foreign
Depends: libxcomp3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: nxauth, qvd-nxproxy
Replaces: nxauth, qvd-nxproxy
Description: NX proxy
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides the NX proxy (client) binary.

Package: libxcomp3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: nxcomp (<= 3.5.1), qvd-libxcomp3
Replaces: nxcomp, qvd-libxcomp3
Description: NX compression library
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides the compression library.

Package: libxcomp-dev
Provides: libxcomp3-dev
Section: libdevel
Architecture: any
Depends: libxcomp3 (= ${binary:Version}), ${misc:Depends}
Breaks: nxcomp-dev (<=3.5.1)
Replaces: nxcomp-dev
Description: NX compression library (development headers)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides the compression library.
 .
 This package contains the development headers for this library.

Package: libxcompshad3
Section: libs
Architecture: any
Multi-Arch: same
Depends: libnx-x11-6 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: nxcompshad (<=3.5.1)
Replaces: nxcompshad
Description: NX shadowing library
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .

## nx-libs 3.5.99.18

=== debian/changelog ===
nx-libs (2:3.5.99.18-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Minor white-space fix.
  * debian/control:
    + Trailing comma in last package of B-D: field.
    + Bump Standards-Version: to 4.3.0. No changes needed.
  * debian/{control,compat}:
    + Drop compat file. Switch over to debhelper-compat notation in control file.
    + Bump DH compat level to version 12.
  * debian/nxagent.install:
    + Sync in changes from upstream's nxagent.install file.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 31 Jan 2019 14:38:23 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends:
  autoconf,
  automake,
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  dpkg-dev (>= 1.16.1.1),
  expat,
  libjpeg-dev,
@@ -35,8 +35,8 @@
  x11-xkb-utils,
  x11proto-core-dev,
  xutils-dev,
- zlib1g-dev
-Standards-Version: 4.2.1
+ zlib1g-dev,
+Standards-Version: 4.3.0
 Homepage: https://github.com/ArcticaProject/nx-libs/
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/nx-libs
 Vcs-Git: https://salsa.debian.org/debian-remote-team/nx-libs.git

## nx-libs 3.5.99.19

=== Makefile ===
--- 
+++ 
@@ -170,6 +170,9 @@
 	# build nxproxy fifth
 	cd nxproxy && autoreconf -vfsi && (${CONFIGURE}) && ${MAKE}
 
+	# "build" nxdialog last
+	cd nxdialog && autoreconf -vfsi && (${CONFIGURE}) && ${MAKE}
+
 build:
 	if ! test -d nx-X11; then \
 	    ${MAKE} build-lite; \
@@ -247,6 +250,9 @@
 
 	$(MAKE) -C nx-X11/lib install
 
+	# install the nxdialog executable and its man page
+	$(MAKE) -C nxdialog install
+
 uninstall:
 	$(MAKE) uninstall-lite
 	[ ! -d nx-X11 ] || $(MAKE) uninstall-full
@@ -269,3 +275,5 @@
 
 	$(RM_DIR_REC) $(DESTDIR)$(NXLIBDIR)
 	$(RM_DIR_REC) $(DESTDIR)$(INCLUDEDIR)/nx
+
+	test -f nxdialog/Makefile && ${MAKE} -C nxdialog "$@"

=== nx-X11/Makefile ===
# $Xorg: Makefile,v 1.5 2000/08/17 19:41:44 cpqbld Exp $
# $Id: Makefile,v 1.5 2005/12/14 23:41:52 alanc Exp $



# $XFree86: xc/Makefile,v 3.28tsi Exp $

# Luna users will need to either run make as "make MAKE=make"
# or add "MAKE = make" to this file.

RELEASE = "Release $(shell cat ../VERSION)"
SHELL = /bin/sh
RM = rm -f
MV = mv
WORLDOPTS =
WIN32WORLDOPTS = -i
TOP = .
CURRENT_DIR = .
CONFIGSRC = $(TOP)/config
IRULESRC = $(CONFIGSRC)/cf
IMAKE = imake
IMAKE_CMD = $(IMAKE) -I$(IRULESRC) $(IMAKE_DEFINES)
MAKE_OPTS = -f xmakefile
MAKE_CMD = $(MAKE) $(MAKE_OPTS)

all:
	@${MAKE} ${MAKE_OPTS} xmakefile-exists || $(MAKE) all-initial
	@${MAKE} ${MAKE_OPTS} $@

all-initial:
	@echo Please use make World, or on NT use nmake World.Win32.
	@echo
	@echo Read the release notes carefully before proceeding.
	@echo Do not name your log file make.log or it will be deleted.

World: BuildEnv
	@echo ""
	@echo Building $(RELEASE).
	@echo ""
	@date
	@echo ""
	${MAKE} ${MAKE_OPTS} $(MFLAGS) $(WORLDOPTS) World
	@echo ""
	@date
	@echo ""
	@echo Full build of $(RELEASE) complete.
	@echo ""

CleanEnv: SetupEnv
	${MAKE} ${MAKE_OPTS} -k clean
	rm -f $(IRULESRC)/date.def; echo "" > $(IRULESRC)/date.def;

SetupEnv: xmakefile VerifyOS Makefiles

BuildEnv: SetupEnv BuildIncludes BuildDependsOnly

BuildIncludes: SetupEnv includes

BuildDependsOnly: SetupEnv depend

Makefile::
	$(MAKE) $(MFLAGS) xmakefile
.PRECIOUS: Makefile

xmakefile:
	if [ -f xmakefile ]; then \
	    set -x; \
	    $(RM) xmakefile.bak; \
	    $(MV) xmakefile xmakefile.bak; \
	else \
	    exit 0; \
	fi
	which $(IMAKE) 1>/dev/null && $(IMAKE_CMD) $(MFLAGS) -s xmakefile -DTOPDIR=$(TOP) -DCURDIR=$(CURRENT_DIR)

# don't allow any default rules in this Makefile
.SUFFIXES:
# quiet "make" programs that display a message if suffix list empty
.SUFFIXES: .Dummy

# a copy of every rule that might be invoked at top level

clean: CleanEnv

dangerous_strip_clean: xmakefile
	${MAKE} ${MAKE_OPTS} $@

distclean: clean
	-${MAKE} ${MAKE_OPTS} ${MFLAGS} $@
	find config programs include -type f -name Makefile | while read makefile; do rm -f $$makefile; done
	$(RM) xmakefile

depend: xmakefile
	${MAKE} ${MAKE_OPTS} ${MFLAGS} $@

Everything: SetupEnv
	${MAKE} ${MAKE_OPTS} ${MFLAGS} $@

external.ln: xmakefile
	${MAKE} ${MAKE_OPTS} ${MFLAGS} $@

includes: xmakefile VerifyOS Makefiles
	${MAKE} ${MAKE_OPTS} ${MFLAGS} $@

install.sdk: SetupEnv
	${MAKE} ${MAKE_OPTS} ${MFLAGS} $@

install.ln: SetupEnv
	${MAKE} ${MAKE_OPTS} ${MFLAGS} $@

install.man: SetupEnv
	${MAKE} ${MAKE_OPTS} ${MFLAGS} $@

install: SetupEnv
	${MAKE} ${MAKE_OPTS} ${MFLAGS} $@

Makefiles: xmakefile VerifyOS
	${MAKE} ${MAKE_OPTS} ${MFLAGS} $@

man_keywords: SetupEnv
	${MAKE} ${MAKE_OPTS} ${MFLAGS} $@

tags: xmakefile
	${MAKE} ${MAKE_OPTS} ${MFLAGS} $@

VerifyOS: xmakefile
	${MAKE} ${MAKE_OPTS} ${MFLAGS} $@

=== debian/changelog ===
nx-libs (2:3.5.99.19-3+deb10u2) buster; urgency=medium

  * debian/patches:
    + Fix 0033_Screen.c-fix-two-memleaks.patch. Was not fully cherry-picked.
      Fixes double free issue. (Closes: #940103).
    + Add 0051-Screen.c-initialize-RandR-only-on-startup.patch. Regression
      fix introduced with +deb10u1 upload (by patch 0014).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 16 Sep 2019 16:30:50 +0200

nx-libs (2:3.5.99.19-3+deb10u1) buster; urgency=medium

  * Patch backport of upstream's memleak-hunt...
  * debian/patches:
      + Add 0012_xkb-initialize-tsyms.patch
      + Add 0013_Screen.c-correctly-free-stuff-in-nxagentCloseScreen.patch
      + Add 0014_Screen.c-Fix-make-sure-RRCloseScreen-is-being-called.patch
      + Add 0015_Keyboard.c-nullify-freed-pointers.patch
      + Add 0017_Fix-memleaks-Free-devPrivates-of-devices-on-shutdown.patch
      + Add 0018_Screen.c-fix-another-memory-leak.patch
      + Add 0019_mi-miinitext.c-fix-memleaks-remove-double-glx-initia.patch
      + Add 0023_glxext.c-fix-another-memory-leak.patch
      + Add 0026_glyph.c-fix-a-read-beyond-end-of-heap-buffer.patch
      + Add 0027_Keyboard.c-fix-three-memory-leaks.patch
      + Add 0028_Quarks.c-add-missing.patch
      + Add 0029_dix-dispatch-fix-a-small-memory-leak.patch
      + Add 0030_fb-fix-memory-leak-in-fbOverlayFinishScreenInit.patch
      + Add 0031_render-Propagate-allocation-failure-from-createSourc.patch
      + Add 0032_NXrender-fix-another-memleak.patch
      + Add 0033_Screen.c-fix-two-memleaks.patch
      + Add 0034_Screen.c-fix-two-more-memleaks-of-visuals.patch
      + Add 0036_os-access.c-add-missing.patch
      + Add 0038_NXdixfonts.c-fix-index-out-of-bounds.patch
      + Add 0041_compext-Png.c-Nullify-after-free.patch
      + Add 0042_mi-miexpose.c-add-missing-free.patch
      + Add 0049_xkb-fix-what-looks-to-be-a-copy-paste-error-with-fir.patch
      + Add 0050_Keyboard.c-fix-another-cppcheck-finding.patch

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 22 Jun 2019 11:49:12 +0200

nx-libs (2:3.5.99.19-3) unstable; urgency=medium

  * debian/patches (cherry-picked from upstream):
    + Add 0003_xkbUtils.c-Catch-division-by-zero.patch.
      Catch occasional division-by-zero error. (Closes: #929498).
    + Add 0004_libNX_X11-add-additional-checks-for-dpy-and-xkb.patch.
      Don't reference dpy nor xkb if undefined. (Closes: #929499).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 May 2019 22:27:02 +0200

nx-libs (2:3.5.99.19-2) unstable; urgency=medium

  * debian/patches (cherry-picked from upstream):
    + Add 0001_nxagent-Determine-nxagentProgName-only-once.patch. Keep flavour
      mode (i.e., running as nxagent or x2goagent) after session resumptions.
      (Closes: #928760).
    + Add 0002_nxdialog-bin-nxdialog-Fix-error-dialog-type-not-supp.patch.
      Cosmetic fix in nxdialog's error output.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 12 May 2019 11:08:25 +0200

nx-libs (2:3.5.99.19-1) unstable; urgency=medium

  * New upstream release.
    - Rootless session now ignore -geometry option. (Closes: #922220).
    - View port movement key strokes updated/fixed in default keystrokes.cfg.
      (Closes: #922392).
  * debian/copyright:
    + Update copyright attributions.
  * debian/libnx-x11-6.symbols:
    + Update symbols.
  * debian/patches:
    + Add 2003_nxdialog-use-python3.patch. Enforce Python3 for nxdialog.
    + Add 2004_enforce-lpthread.patch. On Debian, enforce -lpthread when
      building nxcomp. This is a nasty work around for a missing symbols
      issue that needs to get addressed otherwise in a later upstream
      release. (Closes: #922293).
  * debian/{control,nxagent.install}:
    + Add nxdialog (and dependencies) to bin:pkg nxagent.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 01 Mar 2019 23:24:49 +0100

=== debian/control ===
--- 
+++ 
@@ -280,6 +280,9 @@
  libnx-x11-6 (= ${binary:Version}),
  libxcomp3 (= ${binary:Version}),
  libxcompshad3 (= ${binary:Version}),
+ python3,
+ python3-gi,
+ gir1.2-gtk-3.0,
  x11-xkb-utils,
  ${misc:Depends},
  ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

NULL =

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

export LIBDIR = "/usr/lib/$(DEB_HOST_MULTIARCH)"
export LIBEXECDIR = "$(LIBDIR)/nx/bin"
export INCLUDEDIR = "/usr/include/$(DEB_HOST_MULTIARCH)"

%:
	CONFIGURE="./configure --disable-silent-rules \
	                       --prefix=/usr \
	                       --libdir=$(LIBDIR) \
	                       --includedir=$(INCLUDEDIR) \
	                       --libexecdir=$(LIBEXECDIR) \
	                       --build=$(DEB_BUILD_GNU_TYPE) \
	                       --host=$(DEB_HOST_GNU_TYPE)"  dh $@ --no-parallel --with quilt

override_dh_auto_clean:
	rm -Rf nx-X11/.build-exports
	dh_auto_clean --no-parallel

override_dh_clean:
	dh_clean
	rm -f nx-X11/config/cf/date.def

override_dh_install:

	# strip static libs and remove .la files
	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libXcomp.la
	strip --strip-debug --remove-section=.comment --remove-section=.note debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libXcomp.a
	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libXcompshad.la
	strip --strip-debug --remove-section=.comment --remove-section=.note debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libXcompshad.a
	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libNX_X11.la
	strip --strip-debug --remove-section=.comment --remove-section=.note debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libNX_X11.a

	# remove extras, GL, and other unneeded headers
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/GL/
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/extensions/XK*.h
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/extensions/*Xv*.h
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/extensions/XRes*.h
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/extensions/XIproto.h
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/extensions/XI.h
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/Xtrans/

	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_install:
	PREFIX=/usr dh_auto_install --no-parallel -Smakefile

override_dh_auto_build:

	PREFIX=/usr dh_auto_build --no-parallel -- CDEBUGFLAGS="$(CPPFLAGS) $(CFLAGS)" LOCAL_LDFLAGS="$(LDFLAGS)" SHLIBGLOBALSFLAGS='$(filter-out -pie,$(LDFLAGS))'

override_dh_makeshlibs:
	dh_makeshlibs -n

# Needed for the libX11 RUNPATH/RPATH link-time hack.
# dh_shlibdeps will follow dependencies within binaries and choke
# on the libX11 dependency, since the SONAME (libX11.*) used while linking
# does not match the later detected SONAME (libNX_X11.*) obtained through
# the libX11 -> libNX_X11 compat symlink.
override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## nx-libs 3.5.99.21

=== debian/changelog ===
nx-libs (2:3.5.99.21-3build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:04:33 +0000

nx-libs (2:3.5.99.21-3) unstable; urgency=medium

  * Source-only re-upload as is..

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 Aug 2019 09:01:52 +0200

nx-libs (2:3.5.99.21-2) unstable; urgency=medium

  * debian/control:
    + Split-out nxdialog bin:pkg (until now shipped in nxagent bin:pkg).
  * debian/{nxagent,nxdialog}.install:
    + Move nxdialog files from nxagent.install to nxdialog.install.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 Aug 2019 23:33:49 +0200

nx-libs (2:3.5.99.21-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop several patches, all applied upstream:
      2004_enforce-lpthread.patch
      0001_nxagent-Determine-nxagentProgName-only-once.patch
      0002_nxdialog-bin-nxdialog-Fix-error-dialog-type-not-supp.patch
      0003_xkbUtils.c-Catch-division-by-zero.patch
      0004_libNX_X11-add-additional-checks-for-dpy-and-xkb.patch
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in template file.
  * debian/nx-x11proto-xext-dev.install:
    + Drop nx-X11/extensions/xtestext1.h. Dropped upstream.
  * debian/nxagent.<maintscript>:
    + Convert to nxagent.maintscript, drop all other nxagent.<scripts>.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 Aug 2019 19:52:59 +0200

## nx-libs 3.5.99.22

=== Makefile ===
--- 
+++ 
@@ -29,6 +29,9 @@
 # check if the xkbcomp devel pkg is available - we need it for the next step
 ifneq ($(shell pkg-config --exists xkbcomp && echo yes), yes)
     $(warning xkbcomp devel package missing, using imake default values)
+endif
+ifneq ($(shell pkg-config --exists fontutil && echo yes), yes)
+    $(warning fontutil devel package missing, using imake default values)
 endif
 
 IMAKE_DEFINES	?=
@@ -67,6 +70,7 @@
 	test -f nx-X11/lib/Makefile && ${MAKE} -C nx-X11/lib clean     || true
 	test -f nxcompshad/Makefile && ${MAKE} -C nxcompshad clean     || true
 	test -d nx-X11              && ${MAKE} clean-env               || true
+	test -f nxdialog/Makefile   && ${MAKE} -C nxdialog clean       || true
 
 distclean: clean version imakeconfig
 	test -f nxcomp/Makefile     && ${MAKE} -C nxcomp distclean     || true
@@ -74,6 +78,7 @@
 	test -f nx-X11/lib/Makefile && ${MAKE} -C nx-X11/lib distclean || true
 	test -f nxcompshad/Makefile && ${MAKE} -C nxcompshad distclean || true
 	test -d nx-X11              && ${MAKE} -C nx-X11 distclean     || true
+	test -f nxdialog/Makefile   && ${MAKE} -C nxdialog distclean   || true
 	test -x ./mesa-quilt        && ./mesa-quilt pop -a
 	$(RM_DIR_REC) nx-X11/extras/Mesa/.pc/
 	$(RM_FILE) nx-X11/config/cf/nxversion.def
@@ -110,6 +115,8 @@
 	(pkg-config --exists xkbcomp && echo "#define SystemXkbConfigDir `pkg-config xkbcomp --variable=xkbconfigdir`"; :) >>nx-X11/config/cf/nxconfig.def
 	(pkg-config --exists xkbcomp && echo "#define SystemXkbBinDir `pkg-config xkbcomp --variable=prefix`/bin"; :) >>nx-X11/config/cf/nxconfig.def
 
+	(pkg-config --exists fontutil && echo "#define SystemFontRootDir `pkg-config fontutil --variable=fontrootdir`"; :) >>nx-X11/config/cf/nxconfig.def
+
 	# let's create the nx-X11 Makefiles now, once everything has been defined
 	$(MAKE) -j1 -C nx-X11 Makefiles IMAKE_DEFINES="$(IMAKE_DEFINES)"

=== debian/changelog ===
nx-libs (2:3.5.99.22-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 16 Sep 2019 17:58:46 +0200

nx-libs (2:3.5.99.22-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 27 Aug 2019 21:15:28 +0200

=== debian/control ===
--- 
+++ 
@@ -280,9 +280,6 @@
  libnx-x11-6 (= ${binary:Version}),
  libxcomp3 (= ${binary:Version}),
  libxcompshad3 (= ${binary:Version}),
- python3,
- python3-gi,
- gir1.2-gtk-3.0,
  x11-xkb-utils,
  ${misc:Depends},
  ${shlibs:Depends}
@@ -308,6 +305,28 @@
  requests locally, ensuring that the most common source of round-trips are
  nearly reduced to zero.
 
+Package: nxdialog
+Architecture: all
+Depends:
+ python3,
+ python3-gi,
+ gir1.2-gtk-3.0,
+ x11-xkb-utils,
+ ${misc:Depends},
+Recommends:
+ nxagent,
+Breaks:
+ nxagent (<< 2:3.5.99.21-2~),
+Replaces:
+ nxagent (<< 2:3.5.99.21-2~),
+Description: Dialogs for NX Agent
+ NX is a software suite which implements very efficient
+ compression of the X11 protocol. This increases performance when
+ using X applications over a network, especially a slow one.
+ .
+ nxdialog adds dialog windows/menus to nxagent. They get triggered by
+ certain actions within the NX Agent Xserver.
+
 Package: nxproxy
 Architecture: any
 Multi-Arch: foreign
@@ -347,19 +366,3 @@
  compression of the X11 protocol. This increases performance when
  using X applications over a network, especially a slow one.
  .
- This package provides the compression library.
- .
- This package contains the development headers for this library.
-
-Package: libxcompshad3
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: libnx-x11-6 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Breaks: nxcompshad (<=3.5.1)
-Replaces: nxcompshad
-Description: NX shadowing library
- NX is a software suite which implements very efficient
- compression of the X11 protocol. This increases performance when
- using X applications over a network, especially a slow one.
- .

## nx-libs 3.5.99.23

=== debian/changelog ===
nx-libs (2:3.5.99.23-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:21:04 +0100

nx-libs (2:3.5.99.23-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
  * debian/nxagent.install:
    + Drop nxagent.xpm from pixmaps/ folder. Not shipped upstream anymore.
  * debian/rules:
    + Some extra quotes. Reduce delta between upstream DEB packaging and
      official Debian package.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 30 Jan 2020 12:01:07 +0100

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,8 @@
  x11proto-core-dev,
  xutils-dev,
  zlib1g-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/ArcticaProject/nx-libs/
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/nx-libs
 Vcs-Git: https://salsa.debian.org/debian-remote-team/nx-libs.git
@@ -365,4 +366,3 @@
  NX is a software suite which implements very efficient
  compression of the X11 protocol. This increases performance when
  using X applications over a network, especially a slow one.
- .

=== debian/rules ===
--- 
+++ 
@@ -54,11 +54,11 @@
 	dh_missing --fail-missing
 
 override_dh_auto_install:
-	PREFIX=/usr dh_auto_install --no-parallel -Smakefile
+	PREFIX='/usr' dh_auto_install --no-parallel -Smakefile
 
 override_dh_auto_build:
 
-	PREFIX=/usr dh_auto_build --no-parallel -- CDEBUGFLAGS="$(CPPFLAGS) $(CFLAGS)" LOCAL_LDFLAGS="$(LDFLAGS)" SHLIBGLOBALSFLAGS='$(filter-out -pie,$(LDFLAGS))'
+	PREFIX='/usr' dh_auto_build --no-parallel -- CDEBUGFLAGS="$(CPPFLAGS) $(CFLAGS)" LOCAL_LDFLAGS="$(LDFLAGS)" SHLIBGLOBALSFLAGS='$(filter-out -pie,$(LDFLAGS))'
 
 override_dh_makeshlibs:
 	dh_makeshlibs -n

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.arctica-project.org/source/nx-libs/nx-libs-(.+)-full\.tar\.gz

## nx-libs 3.5.99.24

=== debian/changelog ===
nx-libs (2:3.5.99.24-1) unstable; urgency=medium

  * New upstream release.
    - Fix FTBFS against gcc-10. (Closes: #957619).
  * debian/salsa-ci.yml:
    + Add file.
  * debian/control:
    + Bump DH compat level to version 13.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/nx-x11proto-*-dev.install:
    + Some header files have been dropped in the 3.5.99.24 release.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 29 Jun 2020 22:40:53 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends:
  autoconf,
  automake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dpkg-dev (>= 1.16.1.1),
  expat,
  libjpeg-dev,

## nx-libs 3.5.99.25

=== debian/changelog ===
nx-libs (2:3.5.99.25-1) unstable; urgency=medium

  * New upstream release.
  * debian/libxcompshad3.lintian-overrides:
    + Update tag name (of renamed tag): binary-or-shlib-defines-rpath =>
      custom-library-search-path.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 04 Nov 2020 13:55:29 +0100
